# getSpriteKeysFromSpecies | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function getSpriteKeysFromSpecies

- getSpriteKeysFromSpecies(
  species: Species ,
  female?: boolean,
  formIndex?: number,
  shiny?: boolean,
  variant?: number,
  ): { fileRoot: string; spriteKey: string }

  Gets the sprite key and file root for a given PokemonSpecies (accounts for gender, shiny, variants, forms, and experimental)

  #### Parameters

  - species: Species
  - `Optional` female: boolean
  - `Optional` formIndex: number
  - `Optional` shiny: boolean
  - `Optional` variant: number

  #### Returns { fileRoot: string; spriteKey: string }

  - Defined in src/data/mystery-encounters/utils/encounter-pokemon-utils.ts:53